/*New for bootstrapping MyPayScale*/
/*Spacing Control*/
.topMarginSmall {
    margin-top: 10px;
}
.topMargin {
    margin-top: 15px;
}
.noLeftMargin {
    margin-left: 0px !important;
}
.shrinkVerticalMargins {
    margin-top: -15px !important;
    margin-bottom: -15px !important;
}

.bottomPadding {
    padding-bottom: 15px;
}
.topPaddingSmall {
    padding-top: 10px;
}
.topPadding {
    padding-top: 15px;
}
.bottomPaddingSmall {
    padding-bottom: 10px;
}


/*Colors*/
.linkColor {
    color: #06c !important;
}
.whiteText {
    color: #fff !important;
}

/*Appearance*/
.cursorPointer {
    cursor: pointer;
}
.rightDashedLine {
    border-right: 1px dashed #ccc;
}
.sectionHeading {
    border-top: 1px solid #ccc; 
    border-bottom: 1px solid #ccc;
}
.borderGray {
    border-top: 1px solid #ccc; 
}
.borderDashedHorizontal {
    border-bottom: 1px dashed #ddd;
}
.wrapText {
    white-space: initial !important;
}
.fitWords {
    word-break: break-word;
    overflow: hidden;
}
.noBorder {
    border: none;
}    
#myps3_rightnav_div {
    width: 100%;
}
.middleAlign {
    vertical-align: middle !important;
}

/*
 * checkBoxLabel classes are a work-around to make checkbox labels line up correctly cross browser.
 */
.checkboxLabel {
    display: block;
    padding-left: 15px;
    text-indent: -15px;
}
.checkboxLabel input{
    width: 13px;
    height: 13px;
    padding: 0;
    margin:0;
    vertical-align: bottom;
    position: relative;
    top: -1px;
    *overflow: hidden;
}

/*Applies to phone screens only*/
@media all and (max-width: 480px) {
    .reportsTitle {
        height: 40px;
        padding-left: 0px !important;
    }
    .largeText {
        font-size: 14px;
    }
    .mediumText {
        font-size: 12px;
    }
    .navRow {
        margin: 0px !important;
    }
    .myps3_colActiveDot,
    #chooseCityP,
    #colChartImage,
    #legendDiv,
    #c_locationDropDown {
        display: none;
    }
}

/*Applies to everything except phone screens*/
@media all and (min-width: 481px) {
    .headingItem {
        float: right !important;
    }
    .sectionHeading {
        padding-bottom: 10px;
    }
}

/*Applies to Bootstrap 3's XS screen size*/
@media all and (max-width: 768px) {
    .topBorderXS {
        border-top: 1px dashed #ccc;
    }
    .topMarginXS {
        margin-top: 10px;
    }
}

/*Applies to Bootstrap 3's XS and SM sizes*/
@media all and (max-width: 992px) {
    .topMarginSM {
        margin-top: 10px;
    }
    .pull-rightSM {
        float: right !important;
    }
}

/*Applies to Bootstrap 3's MD and LG screen sizes*/
@media all and (min-width: 993px) {
    .rightDashedLineHideSM {
        border-right: 1px dashed #ccc;
    }
}

/*CUSTOM NAV BAR SETTINGS*/
/*Modified from http://www.bootply.com/QzFApKN2ww */
/*This changes a sidebar into a collapsed navigation bar that functions like a dropdown list*/

/* Hide for mobile, show later */
.sidebar {
    display: none;
}
@media (min-width: 768px) {
    .sidebar {
        bottom: 0;
        left: 0;
        display: block;
        padding: 0px 10px 40px 15px;
        overflow-x: hidden;
        overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    }
}
@media (max-width: 767px) {
    .sidebar {
        border: 1px solid #ccc;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
    }
}

/* Sidebar navigation */
.nav-sidebar {
    margin-left: -10px;
}
.nav-sidebar > li > a {
    padding-right: 20px;
}


/* Main content*/
.main {
    padding: 20px;
}
@media (min-width: 768px) {
    .main {
        padding-right: 40px;
        padding-left: 40px;
    }
}
.main .page-header {
    margin-top: 0;
}

/*Overrides*/
.navbar {
    height: 35px;
    min-height: 35px !important;
}
.navbar-default {
    border-radius: 5px;
    background-color: #fff;
    border-color: #ccc;
    height: 35px;
}
.navbar-brand {
    font-size: 15px !important;
    padding: 8px 15px !important;
    color: #333 !important;
    height: 35px;
    width: 88%;
}
.navbar-toggle {
    height: 34px; 
    width: 34px;
    border: none !important;
    margin: 0px 0px 6px !important;
    background-color: #fff !important;
    height: 32px;
}
.navbar-toggle:hover {
    background-color: #fff !important;
    color: #333;
}
.nav-header {
    padding: 10px 15px 5px 15px !important;
}
.nav-list-item {
    padding-left: 0px;
    font-size: 15px;
}
.caret {
    margin-bottom: 12px;
}
.divider {
    height: 1px;
    margin: 9px 1px;
    overflow: hidden;
    background-color: #e5e5e5;
    border-bottom: 1px solid #ccc;
}
.nav > li > a {
    padding: 6px 18px !important;
    line-height: 18px;
}
.nav-sidebar > .active > a,
.nav-pills > li.active > a {
    /*margin-right: 20px;*/
    color: #333;
    background-color: #fff;
}
.nav-pills > li.active > a:hover {
    background-color: #e5e5e5;
    color: #333;
}
.nav-clear {
    clear: both;
    padding-left: 10px;
}
.errorArea li {
  list-style: none !important;
  background: url(https://cdn-payscale.com/images/mypayscale/flag-red.gif) left 3px no-repeat !important;
  padding-left: 25px !important;
}


/*Remove when all child pages of mypayscale.aspx are converted to BS3 and new design (beginning as of Devil Wears Proppa Consumer release).
    Reference Story in JIRA: CON-10883 */
.myps3_primarynav_on,
.myps3_primarynav_off {
    font-size: 14px !important;
    background-image: none !important;
    padding-left: 10px;
    margin-bottom: 8px;
}
.myps3_primarynav_on {
    font-weight: bold;
}

/*Deprecated Styles*/
.ranking {
  position: relative;
  float: left;
  background-color: #ffc;
  padding: 6px;
}
.ranking .declaration {
  padding: 5px;
}
.ranking .value {
  padding: 5px;
  font-size: 28px;
}
.ranking .value .suffix {
  font-size: 15px;
  vertical-align: 3px;
}
/*Chart ticks*/
.results-salary {
  position: relative;
  background-color: #fff;
  z-index: 0;
}
.clip-children {
  overflow: hidden;
}
.results-salary .ticklines-header {
  position: relative;
  width: 95%;
}
.results-salary .head-block {
  position: relative;
}
.results-salary .tickheader {
  font-size: 12px;
  position: absolute;
  top: 0;
  bottom: 0;
  color: gray;
  cursor: default;
}
.results-salary .tickheader .ticker {
  position: absolute;
  top: 0px;
  width: 12px;
  height: 16px;
  color: gray;
  text-align: left;
  width: 15%;
}
.results-salary .tickheader .ticker .ticker_text {
  position: absolute;
  left: -10px;
  text-align: center;
  font-size: 13px;
  height: 16px;
  color: gray;
}
.clear {
  clear: both;
}
/*main chart*/
.results-table {
  margin-top: 7px;
  position: relative;
  border-bottom: none;
  width: 95%;
  float: left;
}
.results-salary .linepane {
  position: absolute;
  top: 0;
  bottom: 0;
}
.results-salary .tickheader,
.results-salary .linepane {
  left: 0px;
  right: 0px;
}
.results-salary .linepane .line {
  position: absolute;
  top: -7px;
  bottom: -7px;
  z-index: 10;
  border-left: 1px solid #E8E8E8;
}
.results-salary .linepane .whiteline {
  position: absolute;
  top: 0px;
  bottom: 0px;
  z-index: 15;
  border-left: 1px dashed white;
}
.results-salary .stripe {
  position: relative;
  font-size: 12px;
  line-height: 45px;
  height: 45px;
  background-color: #E8E8E8;
}
.results-salary .stripe .salary-info {
  position: absolute;
  top: 0;
  left: 0px;
  right: 0px;
}
.graph {
  margin: 0 0;
  height: 45px;
  font-size: 12px;
  overflow: hidden;
  width: 95%;
}
.graph .box {
  position: absolute;
  float: left;
  color: white;
  overflow: hidden;
  text-align: center;
  height: 45px;
  line-height: 45px;
  min-height: 45px;
  z-index: 11;
}
.graph .stripe25to75percent {
  border-left: 1px solid;
  border-right: 1px solid;
  border-color: #9DC2DC;
  background-color: #9DC2DC;
}
.graph .stripe10to25percent {
  border-left: 1px solid;
  border-right: 1px solid;
  border-color: #C3DEEE;
  background-color: #C3DEEE;
}
.graph .stripe75to90percent {
  border-left: 1px solid;
  border-right: 1px solid;
  border-color: #77A0C0;
  background-color: #77A0C0;
}
/* Chart Label & Your Pay */
.you_label {
  background-color: #FED814;
  position: absolute;
  float: left;
  top: -38px;
  z-index: 20;
  font-size: 13px;
  padding: 6px 6px;
  text-align: center;
  font-weight: bold;
  margin-left: auto;
  margin-right: auto;
  -khtml-border-radius: 2px;
  border-radius: 2px;
}
.you_label_arrow {
  background: url(https://cdn-payscale.com/images/mypayscale2012/yellow_triangle.png) left top no-repeat;
  position: absolute;
  top: -9px;
  z-index: 20;
  font-size: 13px;
  padding-top: 3.5px;
  padding-left: 6px;
  font-weight: bold;
  width: 125px;
  height: 42px;
}
.you_star_container {
  position: absolute;
  float: left;
  top: 15px;
  z-index: 20;
  width: 125px;
  height: 42px;
}
.you_star {
  background: url(https://cdn-payscale.com/images/mypayscale2012/my-payscale_salary_star.png) left top no-repeat;
  position: absolute;
  float: left;
  left: -10px;
  top: -5px;
  z-index: 20;
  width: 125px;
  height: 42px;
}
/*Arrows*/
.arrow-right {
  width: 0;
  height: 0;
  border-top: 35px solid transparent;
  border-bottom: 35px solid transparent;
  border-left: 35px solid #E8E8E8;
  float: left;
  left: 95%;
  margin-top: -5.5px;
  z-index: 1;
  position: absolute;
}
@media (max-width: 979px) {
  .arrow-right {
    border-top: none;
    border-bottom: none;
    border-left: none;
  }
}
/*Below chart */
.below_chart {
  margin-left: 0px;
}
.below_chart li {
  list-style: none;
  width: 200px;
  float: left;
  color: #999;
}
/* Salary and Benefits */
.subsectionTitle {
  color: #333;
}
.subsectionSpace {
  margin-top: 20px;
  margin-bottom: 20px;
}
.bottom_dashed {
  border-bottom: 1px dashed #ccc;
}
.showMoreReportsSeparator {
  background-color: #FFFBEC;
  min-height: 20px;
  font-size: 13px;
  padding: 15px;
  margin-top: 20px;
}
.payAndBenefits {
  font-weight: bold;
  font-size: 13px;
  color: #06c;
  text-align: right;
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
}
/* By Charts */
.below_by_chart {
  margin-left: 0px;
}
.below_by_chart li {
  list-style: none;
  width: 170px;
  float: left;
  color: #999;
}
.byChartContainer {
  width: 50%;
  float: left;
  position: relative;
  margin: 0px;
}
@media (max-width: 767px) {
  .byChartContainer {
    width: auto;
    float: left;
    position: relative;
    margin: 0px;
  }
}
/* Error styling */
.errorArea {
  background-color: #ffc;
  padding: 15px;
  margin: 10px;
}
.errorArea ul {
  list-style-position: outside;
}
.errorArea li {
  list-style-image: url(https://cdn-payscale.com/images/mypayscale/flag-red.gif);
}
.errorArea h4 {
  font-size: 15px;
  color: #333;
  padding: 0;
  margin: 0;
}
.errorArea p {
  padding: 0;
  margin: 3px 0 0 0;
  font-size: 13px;
}
/*Career Goals*/
.careerGoalsBar {
  padding-bottom: 10px;
}
.careerGoalsTitle {
  line-height: 20px;
}
.careerGoalsPanel {
    padding: 0px 15px; /*Because the design calls for the bars up against the border of the panel*/
}
/*Progress Bar*/
.ui-progressbar {
    height: 1.8em;
    overflow: hidden;
}
.ui-progressbar-value {
    height: 100%;
}
.ui-corner-all {
    border-radius: 4px;
}
.ui-widget {
    border: 1px solid #AAA;
}